Skip to main content
POST
/
v2
/
giftcards
/
merchants
/
session
/
validate
Validatemerchantsession
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/merchants/session/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sessionToken": "<string>"
}
'
{
  "valid": true,
  "merchant": {
    "id": "<string>",
    "merchantId": "5eb7cf5a86d9755df3a6c593",
    "name": "<string>",
    "platform": "<string>",
    "programId": "<string>",
    "active": true,
    "locationId": "<string>",
    "locationName": "<string>",
    "locations": [
      {
        "locationId": "<string>",
        "locationName": "<string>",
        "lastSeenAt": "<string>",
        "programId": "<string>"
      }
    ],
    "cashierId": "<string>",
    "terminalId": "<string>",
    "role": "<string>",
    "sessionToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Body

application/json
sessionToken
string
required

Response

Successful Response

valid
boolean
required
merchant
MerchantSessionResponse · object

Returned after a successful merchant session init or validation.

Contains everything needed to populate the eposn-giftcards session without an additional core_api round-trip.